Subject: Re: linux-next: manual merge of the kvms390 tree with the kvm tree

From: Collin Walling <[email-masked]>
Date: Wed, 15 Jul 2020 12:25:42 -0400

On 7/13/20 12:50 AM, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the kvms390 tree got a conflict in:
> 
>   include/uapi/linux/kvm.h
> 
> between commit:
> 
>   1aa561b1a4c0 ("kvm: x86: Add "last CPU" to some KVM_EXIT information")
> 
> from the kvm tree and commit:
> 
>   23a60f834406 ("s390/kvm: diagnose 0x318 sync and reset")
> 
> from the kvms390 tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 

Much appreciated. This change is acceptable and should be properly
reflected in a header sync for QEMU (which I believe just copies the
files from the kernel?)

Thanks for the update.

-- 
Regards,
Collin

Stay safe and stay healthy